powered by Jive Software

Openfire 4.5 has bug with Active Directory

Dear All,
Want to report a bug, during installation in OP 4.5 you can not connect to Active Directory (always says username or password is incorrect)

I always choose LDAP (port 389 not secure)

Workaround:

  1. Install openfire 4.4
  2. Configure and run
  3. Upgrade to 4.5

After this steps it works

on 4.4 there are no problems with AD setup

Can you provide more information please? We’ve extensively tested AD integration with Openfire 4.5.0, but apparently, we’ve missed something. It would be useful to understand exactly how you reproduce this problem.

Same problem and downgrade to 4.4.4 again.

I can second this, but I don’t have the logs to back it up anymore. No matter what settings I selected when setting up LDAP to a Windows Server Active Directory on a new installation it would fail, both on Windows and Linux. I rolled back to Openfire 4.4.4 for setup and it worked. After it was installed I was able to upgrade to 4.5 without any problems.

Completely out of nowhere hypothesis: the LDAP / LDAPS dropdown in setup is not functioning correctly in 4.5. – I’m probably wrong, but that’s my guess.

can you provide any steps to reproduce this issue.

Was this on fresh install or an upgrade?

new install

uuggg…confirmed. it appears to fail when trying to set up using ldap on port 389. works when configuring ldaps. Ill open a ticket.

1 Like

https://issues.igniterealtime.org/browse/OF-1959

2 Likes

I had the same problem updating the version and now I can’t synchronize anything with ldap

1 Like

This bug is closed. Fixed in openfire 4.5.1.
Thank you.

1 Like

not fixed. still have same error. in my case ldap, not ldaps